Results from running STAR-Fusion on single cell data can be viewed with [cirrocumulus](https://cirrocumulus.readthedocs.io/). 

Cirrocumulus can simultaneously view fusions and single-cell data processed with popular tools such as [Seurat](https://satijalab.org/seurat/), [Scanpy](https://scanpy.readthedocs.io/en/stable/), or [Cumulus](http://cumulus.readthedocs.io/). 

### Installation

`pip install cirrocumulus` 


### Running

Launch cirrocumulus from the command line using the command `cirro launch <dataset>...` where dataset can be an h5ad, loom, or fusion_predictions_deconvolved tsv file. For example:

`cirro launch /data/test_samples_fusion_predictions_samples_deconvolved.tsv,/data/test_samples.h5ad`.

### File Formats
* fusion_predictions_deconvolved.tsv generated by STAR-Fusion
* h5ad
* loom
* See this [conversion vignette](https://satijalab.org/seurat/v3.1/conversion_vignette.html) for Seurat users

### Screenshot

![Screenshot](https://raw.githubusercontent.com/wiki/STAR-Fusion/STAR-Fusion/imgs/cirrocumulus.png)

This figure shows the fusion SS18--SSX1 and scRNA-seq data for the gene SSX1 generated using a TSNE embedding. Cells with the fusion are highlighted.

### scRNA-seq Analysis Quick Start
1. Install [Pegasus](https://pegasus.readthedocs.io/en/stable/index.html) via pip:
   `pip3 install pegasuspy`
1. Run pegasus cluster with your count matrix as input to normalize, filter, cluster, and generate embeddings:
   `pegasus cluster --louvain --tsne test_dge.txt.gz test.h5ad`.
 
More in-depth scRNA-seq tutorials are available using [Seurat](https://satijalab.org/), [Scanpy](https://scanpy.readthedocs.io/en/stable/tutorials.html), and [Pegasus](https://pegasus.readthedocs.io/)
